Package Details: enchant1.6 1.6.1-8

Git Clone URL: https://aur.archlinux.org/enchant1.6.git (read-only)
Package Base: enchant1.6
Description: A wrapper library for generic spell checking
Upstream URL: https://abiword.github.io/enchant/
Licenses: LGPL
Submitter: Schmeidenbacher
Maintainer: None
Last Packager: haawda
Votes: 18
Popularity: 0.028255
First Submitted: 2017-12-03 12:19
Last Updated: 2018-02-25 16:33

Latest Comments

« First ‹ Previous 1 2 3

willspoke commented on 2017-12-03 20:20

Using pacaur I receive the following error:

/home/####/.cache/pacaur/enchant1.6/PKGBUILD: line 33: ./configure: No such file or directory

Is there a way for me to edit the PKGBUILD file, so that it will install correctly?

Schmeidenbacher commented on 2017-12-03 13:51

And just to say this once: This PGKBUILD is mostly straight from the old ABS sources, I mostly had to change the package function so that the produced files don't interfere with the newer official enchant builds, but that's it.

And i just tried to build with the last official enchant PKGBUILD, which gave me the exact same error we're just encountered, unless built in a clean chroot.

Schmeidenbacher commented on 2017-12-03 13:44

Checked this, and got the same error on my "dirty" computer. Seems like something else that is installed messes with the build.

My test build and the build currently installed on my system, was done in a clean chroot (https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_Clean_Chroot) which worked.

An7ar35 commented on 2017-12-03 13:43

@Schmeidenbacher Same here for the automake "to many loops" error.

d327roque commented on 2017-12-03 13:31

@Schmeidenbacher. I got this error when i was getting enchant1.6 package ready.

=> Starting prepare()... aclocal: overwriting 'm4/ax_cxx_compile_stdcxx.m4' with '/usr/share/aclocal/ax_cxx_compile_stdcxx.m4' aclocal: installing 'm4/libtool.m4' from '/usr/share/aclocal/libtool.m4' aclocal: installing 'm4/ltoptions.m4' from '/usr/share/aclocal/ltoptions.m4' aclocal: installing 'm4/ltsugar.m4' from '/usr/share/aclocal/ltsugar.m4' aclocal: installing 'm4/ltversion.m4' from '/usr/share/aclocal/ltversion.m4' aclocal: installing 'm4/lt~obsolete.m4' from '/usr/share/aclocal/lt~obsolete.m4' aclocal: installing 'm4/pkg.m4' from '/usr/share/aclocal/pkg.m4' aclocal: installing 'm4/ax_require_defined.m4' from '/usr/share/aclocal/ax_require_defined.m4' aclocal: error: too many loops aclocal: Please contact bug-automake@gnu.org. at /usr/share/automake-1.15/Automake/Channels.pm line 662. Automake::Channels::msg("automake", "", "too many loops") called at /usr/share/automake-1.15/Automake/ChannelDefs.pm line 212 Automake::ChannelDefs::prog_error("too many loops") called at /usr/bin/aclocal line 1188 ==> ERROR: A failure occurred in prepare(). Aborting...

Schmeidenbacher commented on 2017-12-03 12:21

This package, for now, only provides the needed .so files so that other packages dependend on version 1.6 might still work.